"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TableDataSource = void 0;

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }

function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

var TableDataSource = /*#__PURE__*/function () {
  function TableDataSource(slice) {
    _classCallCheck(this, TableDataSource);

    this.slice = slice;
  }

  _createClass(TableDataSource, [{
    key: "getRows",
    value: function getRows(params) {
      this.doGetRows(params);
    }
  }, {
    key: "doGetRows",
    value: function () {
      var _doGetRows = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee(params) {
        var result, tableLength, endRow, i, row;
        return regeneratorRuntime.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                result = [];
                _context.next = 3;
                return this.slice.length();

              case 3:
                tableLength = _context.sent;
                i = params.startRow;

              case 5:
                if (!(i < params.endRow && i < tableLength)) {
                  _context.next = 14;
                  break;
                }

                if (i === tableLength - 1) {
                  endRow = i;
                }

                _context.next = 9;
                return this.slice.get(i);

              case 9:
                row = _context.sent;
                if (row) result.push(row);

              case 11:
                ++i;
                _context.next = 5;
                break;

              case 14:
                if (endRow) {
                  params.successCallback(result, endRow);
                } else {
                  params.successCallback(result);
                }

              case 15:
              case "end":
                return _context.stop();
            }
          }
        }, _callee, this);
      }));

      function doGetRows(_x) {
        return _doGetRows.apply(this, arguments);
      }

      return doGetRows;
    }()
  }, {
    key: "destroy",
    value: function destroy() {// do nothing
    }
  }]);

  return TableDataSource;
}();

exports.TableDataSource = TableDataSource;