"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Dropdown = void 0;

var _react = require("@thematic/react");

var React = _interopRequireWildcard(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n\tmargin-top: 1px;\n\tmargin-bottom: 2px;\n\tmargin-right: 2px;\n\tcolor: ", ";\n\tbackground-color: ", ";\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Dropdown = (0, React.memo)(function Dropdown(_ref) {
  var value = _ref.value,
      onChange = _ref.onChange,
      options = _ref.options,
      labels = _ref.labels;
  var theme = (0, _react.useThematic)();
  var handleChange = (0, React.useCallback)(function (event) {
    return onChange(event.target.value);
  }, [onChange]);
  return React.createElement(SelectorDropdown, {
    value: value,
    onChange: handleChange,
    theme: theme
  }, options.map(function (t, index) {
    return React.createElement("option", {
      key: t,
      value: t
    }, labels && index < labels.length && labels[index] || t);
  }));
});
exports.Dropdown = Dropdown;

var SelectorDropdown = _styledComponents.default.select(_templateObject(), function (_ref2) {
  var theme = _ref2.theme;
  return theme.text().fill().hex();
}, function (_ref3) {
  var theme = _ref3.theme;
  return theme.plotArea().fill().hex();
});