"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AgFilterStore = void 0;

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

var AgFilterStore = /*#__PURE__*/function () {
  function AgFilterStore() {
    _classCallCheck(this, AgFilterStore);

    this.agFilters = {};
  }

  _createClass(AgFilterStore, [{
    key: "getFilter",
    value: function getFilter(table, slice) {
      if (this.agFilters[table] != null) {
        return this.agFilters[table][slice];
      } else {
        return undefined;
      }
    }
  }, {
    key: "setFilter",
    value: function setFilter(table, slice, filter) {
      if (!this.agFilters[table]) {
        this.agFilters[table] = {};
      }

      this.agFilters[table][slice] = filter;
    }
  }, {
    key: "clearFilter",
    value: function clearFilter(table, slice) {
      if (!this.agFilters[table]) {
        return;
      }

      delete this.agFilters[table][slice];
    }
  }]);

  return AgFilterStore;
}();

exports.AgFilterStore = AgFilterStore;