import * as React from 'react';
import { TableSlice, ColumnSpecification, BooleanClause, FilterClause } from 'visual-analytics-components';
export interface GridProps {
    dataVersion: any;
    slice: TableSlice<unknown>;
    filterExpression: BooleanClause | FilterClause | undefined;
    agFilterExpression: any;
    columns: ColumnSpecification[];
    onFilterChanged: (expr: BooleanClause | undefined, agExpr: any) => void;
}
export declare const Grid: React.FC<GridProps>;
