/*!
 * Copyright (c) Microsoft. All rights reserved.
 * Licensed under the MIT license. See LICENSE file in the project.
 */
import { SliceType } from 'visual-analytics-components';
export declare type AgFilterExpression = any;
export declare class AgFilterStore {
    private agFilters;
    getFilter(table: string, slice: SliceType): AgFilterExpression;
    setFilter(table: string, slice: SliceType, filter: AgFilterExpression): void;
    clearFilter(table: string, slice: SliceType): void;
}
