"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AGFilterDataType = exports.AGFilterCondition = void 0;
var AGFilterCondition;
exports.AGFilterCondition = AGFilterCondition;

(function (AGFilterCondition) {
  AGFilterCondition["Equals"] = "equals";
  AGFilterCondition["NotEqual"] = "notEqual";
  AGFilterCondition["Contains"] = "contains";
  AGFilterCondition["StartsWith"] = "startsWith";
  AGFilterCondition["EndsWith"] = "endssWith";
  AGFilterCondition["NotContains"] = "notContains"; // Numeric Comparators

  AGFilterCondition["LessThan"] = "lessThan";
  AGFilterCondition["LessThanOrEqual"] = "lessThanOrEqual";
  AGFilterCondition["GreaterThan"] = "greaterThan";
  AGFilterCondition["GreaterThanOrEqual"] = "greaterThanOrEqual";
})(AGFilterCondition || (exports.AGFilterCondition = AGFilterCondition = {}));

var AGFilterDataType;
exports.AGFilterDataType = AGFilterDataType;

(function (AGFilterDataType) {
  AGFilterDataType["Text"] = "text";
  AGFilterDataType["Number"] = "number";
})(AGFilterDataType || (exports.AGFilterDataType = AGFilterDataType = {}));