function _templateObject() {
  var data = _taggedTemplateLiteral(["\n\tmargin-top: 1px;\n\tmargin-bottom: 2px;\n\tmargin-right: 2px;\n\tcolor: ", ";\n\tbackground-color: ", ";\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

import { useThematic } from '@thematic/react';
import * as React from 'react';
import { memo, useCallback } from 'react';
import styled from 'styled-components';
export var Dropdown = memo(function Dropdown(_ref) {
  var value = _ref.value,
      onChange = _ref.onChange,
      options = _ref.options,
      labels = _ref.labels;
  var theme = useThematic();
  var handleChange = useCallback(function (event) {
    return onChange(event.target.value);
  }, [onChange]);
  return React.createElement(SelectorDropdown, {
    value: value,
    onChange: handleChange,
    theme: theme
  }, options.map(function (t, index) {
    return React.createElement("option", {
      key: t,
      value: t
    }, labels && index < labels.length && labels[index] || t);
  }));
});
var SelectorDropdown = styled.select(_templateObject(), function (_ref2) {
  var theme = _ref2.theme;
  return theme.text().fill().hex();
}, function (_ref3) {
  var theme = _ref3.theme;
  return theme.plotArea().fill().hex();
});