/*!
 * Copyright (c) Microsoft. All rights reserved.
 * Licensed under the MIT license. See LICENSE file in the project.
 */
import { Theme } from '@thematic/core';
import * as React from 'react';
export interface DropdownProps {
    value: string;
    onChange: (value: string) => void;
    options: string[];
    labels?: string[];
}
export declare const Dropdown: React.FC<DropdownProps>;
export interface SelectorDropdownProps {
    theme: Theme;
}
