/*!
 * Copyright (c) Microsoft. All rights reserved.
 * Licensed under the MIT license. See LICENSE file in the project.
 */
import { ColDef } from 'ag-grid-community';
import { BooleanClause, DatumType, ColumnSpecification, FilterOperation } from 'visual-analytics-components';
import { AGFilter, AGFilterCondition } from './ag_interfaces';
export declare function transformColumnDefinitionsIntoAgGrid(columns: ColumnSpecification[]): ColDef[];
export declare function translateAgGridFilter(filter: AGFilter, columns: ColumnSpecification[]): BooleanClause;
export declare function translateColumnTypeIntoAgColumnType(columnType: DatumType): string | undefined;
export declare function translateColumnTypeIntoAgFilterType(columnType: DatumType): string | boolean | undefined;
export declare function translateAgFilterConditionIntoDV(filterType: AGFilterCondition): FilterOperation | undefined;
