/*!
 * Copyright (c) Microsoft. All rights reserved.
 * Licensed under the MIT license. See LICENSE file in the project.
 */
import { IDatasource, IGetRowsParams } from 'ag-grid-community';
import { TableSlice } from 'visual-analytics-components';
export declare class TableDataSource implements IDatasource {
    private slice;
    constructor(slice: TableSlice<unknown>);
    getRows(params: IGetRowsParams): void;
    private doGetRows;
    destroy(): void;
}
