/*!
 * Copyright (c) Microsoft. All rights reserved.
 * Licensed under the MIT license. See LICENSE file in the project.
 */
import * as React from 'react';
import { SliceType } from 'visual-analytics-components';
export interface ControlsProps {
    tableNames: string[];
    table: string;
    slice: SliceType;
    onTableChanged: (table: string) => void;
    onSliceChanged: (slice: SliceType) => void;
}
export declare const Controls: React.FC<ControlsProps>;
