export class AgFilterStore {
    constructor() {
        this.agFilters = {};
    }
    getFilter(table, slice) {
        if (this.agFilters[table] != null) {
            return this.agFilters[table][slice];
        }
        else {
            return undefined;
        }
    }
    setFilter(table, slice, filter) {
        if (!this.agFilters[table]) {
            this.agFilters[table] = {};
        }
        this.agFilters[table][slice] = filter;
    }
    clearFilter(table, slice) {
        if (!this.agFilters[table]) {
            return;
        }
        delete this.agFilters[table][slice];
    }
}
